import numpy
import sys
import string

def ReadArray(filename):
    dataList = []
    infile = open(filename)
    nextLine = infile.readline()
    while nextLine:
        while nextLine.startswith("#"):
             nextLine = infile.readline()       
        dataList.append(map(string.atof, string.split(nextLine)))
        nextLine = infile.readline()
    return numpy.array(dataList)


data_ref = ReadArray("energies_ref.dat")
data_restart = ReadArray("energies.dat")

diff = data_restart - data_ref
maxDiff = max(abs(diff.flatten()))
if maxDiff > 0.0:
    sys.exit(1)
else:
    sys.exit(0)
